v1.0.0
OpenAPI 3.1.0

Trigger a one-time send

US region

Client Libraries

Trigger a one-time send

Trigger a one-time send (referred to as a "newsletter" in our APIs) immediately. It must be in a draft state. If it has already been sent, you'll get a 400 error. The recipients are fixed when you create the one-time send. If you're not sure who will receive it, you can use the List one-time sends endpoint to get a list of one-time sends and their recipients.

To reschedule a one-time send, use the Schedule a one-time send endpoint instead.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

Body
application/json

Optional one-time send rate limiting. If you set rate_limit_email_rate or rate_limit_time_period, set both; rate_limit_spread can be set alone.

  • Type: object

    Optional one-time send rate limiting. If you set rate_limit_email_rate or rate_limit_time_period, set both; rate_limit_spread can be set alone.

Responses
  • application/json
  • application/json
  • 404

    The one-time send does not exist.

  • application/json
  • application/json
Request Example for post/v1/newsletters/{newsletter_id}/send
{
  "rate_limit_email_rate": 1000,
  "rate_limit_spread": true,
  "rate_limit_time_period": 3600
}
{
  "newsletter": {
    "content_ids": [
      45
    ],
    "created": 1481653919,
    "deduplicate_id": "128275:1484870424",
    "id": 128275,
    "name": "Weekly Product Update",
    "recipient_segment_ids": [
      42,
      99
    ],
    "sent_at": 1481653929,
    "subscription_topic_id": 5,
    "tags": [
      "Product Updates"
    ],
    "type": "email",
    "updated": 1481653929
  }
}